ixgbe(4): Update 11-STABLE to 3.2.12-k
AbandonedPublic

Authored by cramerj_intel.com on Jun 5 2017, 4:57 PM.

Details

Reviewers
sbruno
smh
erj
Group Reviewers
Intel Networking
Summary

Update to ixgbe including:

  • Support for X550EM devices.
  • Support for Bypass adapters.
  • Flow Director code moved to separate files
  • SR-IOV code moved to separate files
  • Netmap code moved to separate files

Note: This is for 11-STABLE only. The review for HEAD (which includes the iflib changes) is D10293

Test Plan

Work-in-progress

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 9890
Build 10325: arc lint + arc unit
cramerj_intel.com edited the summary of this revision. (Show Details)
  • Add files to sys/conf/files list to build ix/ixv.
  • Added files to Makefile for building.
  • Fixed some compilation errors for if_sriov.c.
  • Fixed compilation error for ixgbe_vf.c
  • Backed out M_IXGBE memory type for queue allocation. Using DEVBUF.
  • Added netmap file to makefiles.
  • Removed double definition of two functions.
  • Fixed stat updating issue for VF driver.
erj requested changes to this revision.Jul 13 2017, 8:43 PM
erj added a subscriber: erj.

This should be abandoned, right?

This revision now requires changes to proceed.Jul 13 2017, 8:43 PM
In D11058#239815, @erj wrote:

This should be abandoned, right?

yup

cramerj_intel.com abandoned this revision.Jul 25 2017, 9:32 PM